#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <sys/time.h>

#include "piix4acpi.h"

int
main( int argc, char *argv[] )
{
    int fd, ct0, ct;
    
    fd = open( "/dev/piix4acpi", O_RDONLY );
    if( fd < 0 ){
	fprintf( stderr, "\"/dev/piix4acpi\" open error\n" );
	return 0;
    }

    ioctl( fd, PIIX4ACPI_IOCGETSTAT, &ct0 );
    do{
	ioctl( fd, PIIX4ACPI_IOCGETSTAT, &ct );
	if( ct != ct0 ){
	    ct0 = ct;
	    if( argc > 1 ){
		system( argv[1] );
	    }else{
		printf( "Power Button pressed ( ct = %d)\n", ct );
	    }
	}else{
	    printf( "I\'m working ...\n" );
	}

	sleep(1);

    }while(1);

    close( fd );

    return 0;
}
